/************************************************************************
 * Spooky - a service framework for the Internet
 * ViewConfig.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.config;

import java.util.*;
/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class ViewConfig implements java.io.Serializable {

    private String name;
    private String template;
    private HashMap pageElements;
    
    /** Creates new ViewConfig */
    public ViewConfig( String name, String template, HashMap pageElements ) {
        
        this.name = name;
        this.template = template;
        this.pageElements = pageElements;
    }

    public String getName() {
        return name;
    }
    
    public String getTemplate() {
        return template;
    }
    
    public HashMap getPageElements() {
        return pageElements;
    }
}
