/************************************************************************
 * Spooky - a service framework for the Internet
 * EventProcessingException.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.control.event;

/**
 *
 * @author  Erik Karlsson
 * @version 
 */
public class EventProcessingException extends spooky.exception.BaseException {

    /**
     * Creates new <code>EventProcessingException</code> without detail message.
     */
    public EventProcessingException() {
    }


    /**
     * Constructs an <code>EventProcessingException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public EventProcessingException(String msg) {
        super(msg);
    }
}


