/*
 * RequestState.java
 *
 * Created on October 18, 2001, 1:09 AM
 */

package spooky.control.web;

import javax.servlet.http.*;
import javax.servlet.*;
import java.util.*;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class RequestState {

    public HashMap sessionAttributes;
    
    /** Creates new RequestState */
    public RequestState( HttpServletRequest httpRequest ) {
        
        sessionAttributes = new HashMap();
        
        Enumeration attNames = httpRequest.getParameterNames();
        while( attNames.hasMoreElements() )
        {
            String key = (String)attNames.nextElement();
            sessionAttributes.put( key, httpRequest.getParameter( key ) );
        }
    }

    public void loadState( HttpServletRequest storeTarget ){

        Set attributeNames = sessionAttributes.keySet();
        Iterator nameItr = attributeNames.iterator();
        
        while( nameItr.hasNext() )
        {
            String key = (String)nameItr.next();
            storeTarget.setAttribute( key, sessionAttributes.get(key ) );
        }
    }
}
