/************************************************************************
 * Spooky - a service framework for the Internet
 * SimpleTrace.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/

package spooky.debug;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class SimpleTrace {

    public static int DEBUG = 1;
    public static int NO_DEBUG = 0;
    public static int debug = 1;
    
    public static void printMessage( String msg ){
        
        if( SimpleTrace.debug == SimpleTrace.DEBUG )
            System.err.println( msg );
            
    }
}
