/************************************************************************
 * Spooky - a service framework for the Internet
 * ErrorObject.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.exception;

/**
 *
 * @author  ekarlsso
 * @version 
 */
public class ErrorObject implements java.io.Serializable {

    public static String CONTEXT_NAME = "error-object";
    private String description;
    private String className;
    private String functionName;
    
    /** Creates new ErrorObject */
    public ErrorObject( String description, String className, String functionName ) 
    {
        this.description = description;
        this.className = className;
        this.functionName = functionName;
    }

    public String getDescription() {
        return this.description;
    }
    
    public String getClassName() {
        return this.className;
    }
    
    public String getFunctionName() {
        return this.functionName;
    }
    
}
