/************************************************************************
 * Spooky - a service framework for the Internet
 * UserValue.java
 *
 * Copyright (C) 2001 Erik Karlsson.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version 2.1 of the 
 * License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *************************************************************************/
package spooky.users.value;

import java.util.*;
/**
 *
 * @author  ekarlsso
 * @version 
 */
public class UserValue implements java.io.Serializable  {

    public Integer userId;
    public String userName;
    public Date created;
    public java.lang.String fullName;
    
    /** Creates new UserValue */
    public UserValue( Integer userId, String userName, Date created, String fullName) {
        
        this.userId = userId;
        this.userName = userName;
        this.created = created;
        this.fullName = fullName;
    }

    public int getId(){
        return userId.intValue();
    }
    
    public String getUserName() {
        return userName;
    }
    
    public Date getCreated(){
        return created;
    }
    
    public String getFullName(){
        return fullName;
    }
}
